    var ToolTipp_shown = 0;

    function GetBody(w)
    {
        return (w.document.compatMode && w.document.compatMode == "CSS1Compat") ?
        w.document.documentElement :
        w.document.body || null;
    }

    function GetWindowWidth ()
    {
        if(typeof window.innerWidth != 'undefined') {
           return(window.innerWidth);
        } else {
           var obj = GetBody(window);
           return(parseInt(obj.clientWidth));
        }
    }

    function GetWindowHeight () 
    {
        if(typeof window.innerHeight != 'undefined') {
           return(window.innerHeight);
        } else {
           var obj = GetBody(window);
           return(parseInt(obj.clientHeight));
        }
    }

    function mouseMove (e)
    {
        if (ToolTipp_shown == 1) {
            var IE_ENGINE = (document.all) ? true : false;
            var NS_ENGINE = (document.layers) ? true : false;

            var MousePositionxpos = (IE_ENGINE) ? event.clientX :  e.pageX - window.pageXOffset;
            var MousePositionypos = (IE_ENGINE) ? event.clientY :  e.pageY - window.pageYOffset;

            var actWidth  = GetWindowWidth();
            var actHeight = GetWindowHeight();  // 817

            var offsetX = (typeof(window.pageXOffset) != 'undefined') ? pageXOffset : GetBody(window).scrollLeft;
            var offsetY = (typeof(window.pageYOffset) != 'undefined') ? pageYOffset : GetBody(window).scrollTop;

            var eltop  = 0;
            var elleft = 0;

            var elwidth  = document.getElementById("ToolTipp").offsetWidth;
            var elheight = document.getElementById("ToolTipp").offsetHeight;

            var iPageOffset = (actWidth - document.getElementById("ToolTipp").parentNode.offsetWidth) / 2;
            var iYOffsetFromPointer = 10;   // vertical
            var iXOffsetFromPointer = 10;   // horizontal

            if (MousePositionypos + elheight + iYOffsetFromPointer + 10 < actHeight) {
                // default on vertical axis
                eltop = MousePositionypos + iYOffsetFromPointer + offsetY;
            } else if ( MousePositionypos - elheight - 10 >= 0) {
                // pointer reached lower viewport border
                eltop = MousePositionypos - elheight - iYOffsetFromPointer + offsetY;
            } else {
                // pointer reached upper viewport border
                eltop = actHeight - elheight - iYOffsetFromPointer + offsetY;
            }

            if ( MousePositionxpos + elwidth + iXOffsetFromPointer + 20 < actWidth) {
                // default on horizontal axis
                elleft = MousePositionxpos - iPageOffset + iXOffsetFromPointer + offsetX + 10;
            } else if ( MousePositionxpos - elwidth - 30 >= 0) {
                // pointer reached right viewport border
                elleft = MousePositionxpos - iPageOffset - elwidth - iXOffsetFromPointer + offsetX + 10;
            } else {
                // pointer reached left viewport border
                elleft = actWidth - elwidth - iXOffsetFromPointer + offsetX + 10;
            }

            document.getElementById("ToolTipp").style.left = elleft + 'px';
            document.getElementById("ToolTipp").style.top  = eltop  + 'px';
            document.getElementById("ToolTipp").style.visibility = 'visible';
        }
    }

    function showBOX (content)
    {
        document.getElementById("ToolTipp").innerHTML = unescape(content.replace(/\+/g,' '));

        ToolTipp_shown = 1;
    }

    function hideBOX ()
    {
        var IE_ENGINE = (document.all) ? true : false;
        var NS_ENGINE = (document.layers) ? true : false;

        if(!IE_ENGINE) {
            ToolTipp=document.getElementById('ToolTipp');
        }
        ToolTipp.style.visibility = 'hidden';
        ToolTipp_shown = 0;
    }

    if (document.addEventListener)  {
        document.addEventListener("mousemove", mouseMove, true);
    } else if (document.attachEvent){
	    document.attachEvent("onmousemove", mouseMove, true);
    } else {
        if (document.layers) {
            window.captureEvents(Event.MOUSEMOVE);
        }
        document.onmousemove = mouseMove;
    }
